## tl-parser 0.0.0%2Bgit20180215.f49077de

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_build: tl-parser.1
	dh_auto_build

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

tl-parser.1: debian/tl-parser.1.xml
	$(XP) $(DB2MAN) $<

DEB_SOURCE := $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
DEB_VERSION := $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
GIT_URL = https://github.com/vysheng/tl-parser.git

get-orig-source:
	set -e; if echo $(DEB_VERSION) | grep -c "git"; \
	then \
		git_version=`echo $(DEB_VERSION) | sed -e 's/^.*git\([0-9]*\)*\.\(.*\)-.*$$/\2/g'`; \
	else \
		git_version=$(DEB_UPSTREAM_VERSION); \
	fi; \
	tmpdir=`mktemp -d -t`; \
	cd $$tmpdir; \
	echo "checkout upstream repository ..."; \
	git clone $(GIT_URL); echo "getting specific upstream revision/tag: $$git_version"; \
	cd `ls | head -n 1`; git checkout -b orig $$git_version; cd ..; \
	tar --exclude=.git -cJvf $(CURDIR)/$(DEB_SOURCE)_$(DEB_UPSTREAM_VERSION).orig.tar.xz `ls | head -n 1`; \
	cd $(CURDIR); \
	rm -rf $$tmpdir

## tl-parser 0.0.0+git20210107.1933e76f

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
project(tl-parser LANGUAGES C)

set(SOURCES crc32.h crc32.c tlc.c tl-parser.c tl-parser.h tl-parser-tree.h tl-tl.h portable_endian.h)

if (WIN32)
	add_definitions("-D_CRT_SECURE_NO_WARNINGS")
	list(APPEND SOURCES wgetopt.c wgetopt.h)
	if (MSVC)
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /utf-8")
	endif()
endif()

add_executable(${PROJECT_NAME} ${SOURCES})
if (NOT WIN32)
	target_link_libraries(${PROJECT_NAME} m)
endif()

## tl-parser 0.0.0+git20180215.f49077de

=== debian/changelog ===
tl-parser (0.0.0+git20180215.f49077de-4) unstable; urgency=low

  * Add portable_endian.h to libtl-parser-dev.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 27 Dec 2018 00:43:38 +0800

tl-parser (0.0.0+git20180215.f49077de-3) unstable; urgency=low

  * New binary package: libtl-parser-dev: a header development library.
  * Update debian/copyright to reflect OpenSSL exception for header library.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 17 Dec 2018 04:04:39 +0800

tl-parser (0.0.0+git20180215.f49077de-2) unstable; urgency=low

  * Add debian/patches/0001-Fix-format-overflow-in-tl-parser.patch
    - Fix FTBFS on 32bit arch: sprintf format overflow (Closes: #916157)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 12 Dec 2018 01:15:14 +0800

tl-parser (0.0.0+git20180215.f49077de-1) unstable; urgency=low

  * Initial release (Closes: #913590)
  * Update debian/copyright based on Thorsten's review.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 08 Dec 2018 00:41:46 +0800

=== debian/control ===
Source: tl-parser
Section: devel
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 11), docbook-xsl, pkg-config, xsltproc, zlib1g-dev
Standards-Version: 4.2.1
Homepage: https://github.com/vysheng/tl-parser

Package: tl-parser
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: command-line tool to parse TL scheme to tlo file
 This tool parses the TL scheme and compile the scheme to tlo file. It is part
 of the telegram-cli.
 .
 TL (Type Language) serves to describe the used system of types, constructors,
 and existing functions.

Package: libtl-parser-dev
Architecture: all
Section: devel
Depends: ${misc:Depends}
Description: command-line tool to parse TL scheme to tlo file (development)
 This tool parses the TL scheme and compile the scheme to tlo file. It is part
 of the telegram-cli.
 .
 TL (Type Language) serves to describe the used system of types, constructors,
 and existing functions.
 .
 This package contains some header files that can be cooperate with the parser.
 It is a header library.

## tl-parser 0.0.0+git20210107.1933e76f

=== debian/changelog ===
tl-parser (0.0.0+git20210107.1933e76f-3) unstable; urgency=low

  * Override CMAKE_POLICY_VERSION_MINIMUM (Closes: #1113578)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 02 Oct 2025 18:15:04 +0300

tl-parser (0.0.0+git20210107.1933e76f-2) unstable; urgency=low

  * Fix crc32 not working on big-endian machines. (Closes: #1087142)
    - Add debian/patches/0002-fix-crc-endian.patch
  * debian/control: change pkg-config to pkgconf

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 15 Apr 2025 08:00:38 +0800

tl-parser (0.0.0+git20210107.1933e76f-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compat to 13.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 25 Jun 2022 11:39:01 +0800

tl-parser (0.0.0+git20180215.f49077de-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 02:16:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: debhelper (>= 11), docbook-xsl, pkg-config, xsltproc, zlib1g-dev
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               docbook-xsl,
+               pkgconf,
+               xsltproc,
+               zlib1g-dev
 Standards-Version: 4.2.1
 Homepage: https://github.com/vysheng/tl-parser

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,9 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 override_dh_auto_build: tl-parser.1
 	dh_auto_build
